/*
main.cc -- main function
Copyright (C) Zsban Ambrus 2003, 2004
*/

#include "all.hh"
#include <list>
#include <iostream>

using std::cerr; 



int main (int argc, char *argv[]) {
	std::list<token *> l;
	if (argc>1) {
		yyin= fopen (argv[1], "r");
		if (!yyin) {
			cerr <<"geo: error opening file \"" <<argv[1] <<"\"\n";
			exit (1);
			}
		}
	std::cout <<"Geo by Zsban Ambrus\n";
	init_symtable ();
	yytoke (&l);
	init_parse (&l);
	yyparse ();
	done_symtable (); // don't move back
	return 0;
	}
	




//END
