/*
mem.cc -- memory management functions for geo
Copyright (C) 2004  Zsban Ambrus


*/


#include "all.hh"
#include <iostream>

using std::cerr;


/*
Memory leak kereses.
	Az unleak class szamolja, hany jon belole letre, es hany szunik meg.
Ebbol szarmaztatjuk le pl. a Val osztalyt, mert abbol mindnek meg kell szunnie
a program vegere.  A token-eket nem szamoljuk, mert nem is szabaditjuk fel oket
soha. 

*/

class unleak_info_t {
	private:
	int count;
	friend unleak::unleak (void);
	friend unleak::~unleak (void);
	public:
	~unleak_info_t (void);
	};
	
static unleak_info_t unleak_info;

unleak_info_t::~unleak_info_t (void) {
	if (count)
		cerr <<"[memory leak! " <<count <<"]\n";
	}

unleak::unleak (void) {
	unleak_info.count++;
	}

unleak::~unleak (void) {
	unleak_info.count--;
	}



//END
